Name:           tuxcmd
Version:        0.6.36
Release:        1%{?dist}
Summary:        Tux Commander: file manager with 2 panels side by side using GTK2

Group:          Applications/File
License:        GPLv2+

# FreePascal restrictions
ExclusiveArch:  i386 i686 x86_64  

URL:            http://tuxcmd.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Source2:        tuxcmd.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: fpc
BuildRequires: gtk2-devel
BuildRequires: desktop-file-utils

%description
Tux Commander is open-source file manager with 2 panels side by side written
for GTK2. The main goal of this project is to create powerful user-friendly
file manager for Linux. Functionality can be further extended by pluggable
VFS (virtual file system) modules.


%prep
%setup -q


%build
make debug


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
desktop-file-install --vendor="" --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/

find $RPM_BUILD_ROOT -name COPYING -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name README -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT



%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/tuxcmd
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/tuxcmd.png


%changelog
* Mon Jun  2 2008 Tomas Bzatek <tbzatek@redhat.com> 0.6.36-1
- Initial packaging
